using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PetljaTakmicenje
{
    class Program
    {

        static int BinarnaPretraga(SortedSet<int> a, int n, int l, int d, int m)
        {
            int s = l + (d - l) / 2;
            bool t = m > a.ElementAt(s);
            if (m == a.ElementAt(s))
            {
                return (s > n / 2) ? s : s + 1;
            }
            if (s > 0 && m > a.ElementAt(s - 1) && !t)
            {
                return s;
            }
            if (s < n - 1 && m < a.ElementAt(s + 1) && t)
            {
                return s + 1;
            }
            if (t)
            {
                return BinarnaPretraga(a, n, s + 1, d, m);
            }
            else
            {
                return BinarnaPretraga(a, n, l, s - 1, m);
            }
        }

        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int n = int.Parse(s[0]), q = int.Parse(s[1]);
            var a = new SortedSet<int>();
            s = Console.ReadLine().Split();
            for (int i = 0; i < n; i++)
            {
                a.Add(int.Parse(s[i]));
            }
            s = Console.ReadLine().Split();
            for (int i = 0; i < q; i++)
            {
                int m = int.Parse(s[i]);
                if (m == a.ElementAt(n / 2))
                {
                    Console.WriteLine(0);
                }
                else if (m < a.ElementAt(0))
                {
                    Console.WriteLine(n + 1);
                }
                else if (m > a.ElementAt(n - 1))
                {
                    Console.WriteLine(n);
                }
                else
                {
                    m = 2 * BinarnaPretraga(a, n, 0, n - 1, m);
                    if (n > m)
                    {
                        Console.WriteLine(n - m + 1);
                    }
                    else
                    {
                        Console.WriteLine(m - n);
                    }
                }
            }
        }
    }
}